module(..., package.seeall)

-- 标签
function demo_label()
    if(not lvgl.label_create) then 
        log.info("提示", "不支持 标签 控件")
        return 
    end
    -- 创建标签
    label = lvgl.label_create(lvgl.scr_act(), nil)
    lvgl.label_set_text(label,"中文TEST1234")   
    lvgl.obj_set_width(label, 100)
    lvgl.label_set_align(label, lvgl.LABEL_ALIGN_CENTER)
    lvgl.obj_align(label, nil, lvgl.ALIGN_CENTER, 0, 0)

    sys.wait(3000)
    -- 清除对象
    lvgl.obj_del(label)
end

-- 标签
function demo_label_20()
    if(not lvgl.label_create) then 
        log.info("提示", "不支持 标签 控件")
        return 
    end
    -- 创建标签
    label = lvgl.label_create(lvgl.scr_act(), nil)
    lvgl.label_set_long_mode(label, lvgl.LABEL_LONG_BREAK)
    lvgl.label_set_text(label,"中文TEST1234")
    
    -- 加载外部字体
    local font = lvgl.font_load("/lua/opposans_b_20.bin")
    lvgl.obj_set_style_local_text_font(label, lvgl.LABEL_PART_MAIN, lvgl.STATE_DEFAULT, font)

   
    lvgl.obj_set_width(label, 100)
    lvgl.label_set_align(label, lvgl.LABEL_ALIGN_CENTER)
    lvgl.obj_align(label, nil, lvgl.ALIGN_CENTER, 0, 0)

    sys.wait(3000)
    -- 清除对象
    lvgl.obj_del(label)
end

sys.taskInit(function()
    sys.wait(2000)
    while true do
        -- 默认字体
        demo_label()
        -- 自制字体
        demo_label_20()
    end
end)